%define major 0
%define libname %mklibname kolab %major

%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php)
%{!?php_inidir: %global php_inidir %{_sysconfdir}/php.d/}

# Filter out private python and php libs. Does not work on EPEL5,
# therefor we use it conditionally
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_provides_in %{php_extdir}/.*\.so$
%filter_setup
}

Name:           libkolab
Version:        0.4.2
Release:        %mkrel 7
Summary:        Kolab Object Handling Library
Group:          System/Servers
License:        LGPLv3+
URL:            http://git.kolab.org/libkolab
Source0:        http://git.kolab.org/%{name}/snapshot/%{name}-%{version}.tar.gz
Patch0:		libkolab-0.3.1-link.patch
Patch1:		libkolab-0.4.2-cmake-2.8.11.patch
BuildRequires:  libcurl-devel
BuildRequires:  kdepimlibs4-devel >= 4.9
BuildRequires:  libkolabxml-devel >= 0.8
BuildRequires:  php-devel
BuildRequires:  python-devel
BuildRequires:  qt4-devel
BuildRequires:	php-cli
BuildRequires:	swig

%description
The libkolab library is an advanced library to  handle Kolab objects.

%package -n %{libname}
Summary:	Kolab Object Handling Library
Group:		System/Libraries 
Obsoletes:	%{name} < 0.3.1-2

%description -n %{libname}
The libkolab library is an advanced library to handle Kolab objects.

%package devel
Summary:        Kolab library development headers
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:	libkolabxml-devel >= 0.8

%description devel
Development headers for the Kolab object libraries.

%package -n php-kolab
Summary:        PHP Bindings for libkolab
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:	php-kolabformat >= 0.7

%description -n php-kolab
PHP Bindings for libkolab

%package -n python-kolab
Summary:        Python bindings for libkolab
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:	python-kolabformat >= 0.7

%description -n python-kolab
Python bindings for libkolab

%prep
%setup -q
%patch0 -p0 -b .link
%patch1 -p1 -b .swig


%build
%cmake \
    -DINCLUDE_INSTALL_DIR=%{_includedir} \
    -DUSE_LIBCALENDARING=OFF \
    -DPHP_BINDINGS=ON \
    -DPHP_INSTALL_DIR=%{php_extdir} \
    -DPYTHON_BINDINGS=ON \
    -DPYTHON_INSTALL_DIR=%{python_sitearch}

make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}/%{_datadir}/php
mv %{buildroot}/%{php_extdir}/*.php %{buildroot}/%{_datadir}/php/.

mkdir -p %{buildroot}/%{php_inidir}
cat >%{buildroot}/%{php_inidir}/kolab.ini <<EOF
extension=kolabcalendaring.so
extension=kolabicalendar.so
extension=kolabobject.so
extension=kolabshared.so
EOF

%check
pushd build/tests
./benchmarktest || :
./calendaringtest || :
./formattest || :
./freebusytest || :
./icalendartest || :
./kcalconversiontest || :
./upgradetest || :
popd

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/cmake/Libkolab
%{_includedir}/kolab

%files -n php-kolab
%config(noreplace) %{php_inidir}/kolab.ini
%{_datadir}/php/kolabcalendaring.php
%{php_extdir}/kolabcalendaring.so
%{_datadir}/php/kolabicalendar.php
%{php_extdir}/kolabicalendar.so
%{_datadir}/php/kolabobject.php
%{php_extdir}/kolabobject.so
%{_datadir}/php/kolabshared.php
%{php_extdir}/kolabshared.so

%files -n python-kolab
%{python_sitearch}/kolab/_calendaring.so
%{python_sitearch}/kolab/calendaring.py*
%{python_sitearch}/kolab/_icalendar.so
%{python_sitearch}/kolab/icalendar.py*
%{python_sitearch}/kolab/_shared.so*
%{python_sitearch}/kolab/shared.py*


%changelog
* Sat Jan 25 2014 oden <oden> 0.4.2-7.mga4
+ Revision: 568188
- revert version bump
- don't use parallel make

* Fri Jan 24 2014 oden <oden> 0.5.0-1.mga4
+ Revision: 568064
- 0.5.0

  + pterjan <pterjan>
    - Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-6.mga4
+ Revision: 531965
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 0.4.2-5.mga4
+ Revision: 463709
- add fedora patch to fix build with recent ccmake

  + spuhler <spuhler>
    - bumped rel to rebuild agains new php-devel

* Thu May 09 2013 spuhler <spuhler> 0.4.2-4.mga3
+ Revision: 412790
- added missing lib to kolab.ini
 - kolabobject.so

* Sat Apr 27 2013 tmb <tmb> 0.4.2-3.mga3
+ Revision: 411443
- bump rel

* Fri Apr 26 2013 spuhler <spuhler> 0.4.2-2.mga3
+ Revision: 411195
- removed BuildRequires:  libcalendaring-devel
 - we have now the required kdepimlibs >4.9
 - these will replace libcalendaring
 - changed in cmake section -DUSE_LIBCALENDARING=On to OFF

* Tue Apr 23 2013 spuhler <spuhler> 0.4.2-1.mga3
+ Revision: 411023
- removed BuildRequires:  libcalendaring-devel
 -it's provided now by the kde libraries
 - upstream seems to drop it
 - this means security update will not be provided for this lib
- upgrade to version 0.4.2
 - fixes bugs
 - rebuild against newest kdelibs

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 357617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 spuhler <spuhler> 0.4.1-1.mga3
+ Revision: 344104
- added the two new files
  kolabobject.php
  kolabobject.so
- upgrade to 0.4.1
- upgrade to 0.4.0

* Thu Sep 20 2012 fwang <fwang> 0.3.2-2.mga3
+ Revision: 296272
- bump rel to upload

* Tue Sep 18 2012 spuhler <spuhler> 0.3.2-1.mga3
+ Revision: 295840
- patch1 removed
- upgrade to 0.3.2

* Sun Sep 16 2012 spuhler <spuhler> 0.3.1-3.mga3
+ Revision: 294635
- patch0 reactivated
- added BuildRequires:  libcalendaring-devel >= 4.9
  since we don't have kdepimlibs 4.10 for a while
  Updated the versions of the requires to upstream

  + fwang <fwang>
    - curl is of no use

* Sun Sep 09 2012 fwang <fwang> 0.3.1-2.mga3
+ Revision: 290899
- filter out undefined from linker flags
- we are building module now
- br swig
- requires kolabxml-devel
- fix linkage of php module
- cleanup spec and migrate to mageia pkgname

* Sat Aug 25 2012 spuhler <spuhler> 0.3.1-1.mga3
+ Revision: 283959
- imported package libkolab

